---
title: "查询单个商品分类关系"
description: "查询单个商品分类关系。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection-relationship/get-a-product-collection-relationship'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection-relationship/get-a-product-collection-relationship.md'
---
# 查询单个商品分类关系

查询单个商品分类关系。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/collects/:collect_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `collect_id`

  string (required)

  商品分类关系的唯一标识 ID。

### Query Parameters

* `fields`

  string (optional)

  指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `collect` 对象下的一级子字段。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `collect`

  object

  商品分类关系信息。

  * `sort_value`

    string

    商品排序值。由 `product_priority` 值左补足 0 至 20 位长度构成。

  * `updated_at`

    string

    商品分类关系最近一次更新的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `collection_id`

    string

    分类的唯一标识 ID。

  * `created_at`

    string

    商品分类关系创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `id`

    long

    商品分类关系的唯一标识 ID。

  * `product_id`

    string

    商品的唯一标识 ID。

  * `product_priority`

    long

    商品在分类中的优先级，数值越小，优先级越高。优先级的数值为非连续分布，即不按连续的整数排列。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询单个商品分类关系"
  ],
  "description": "查询单个商品分类关系。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "NY6APGGG",
  "parameters": [
    {
      "name": "fields",
      "in": "query",
      "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `collect` 对象下的一级子字段。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `collect` 对象下的一级子字段。",
        "type": "string",
        "example": "collection_id,product_id"
      },
      "example": "collection_id,product_id",
      "examples": {
        "查询单个商品分类关系": {
          "value": ""
        }
      }
    },
    {
      "name": "collect_id",
      "in": "path",
      "description": "商品分类关系的唯一标识 ID。",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "collect_id",
        "description": "商品分类关系的唯一标识 ID。",
        "type": "string",
        "example": 5392284410644534000
      },
      "example": 5392284410644534000,
      "examples": {
        "查询单个商品分类关系": {
          "value": "5511053632568035000"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "collect": {
                "name": "collect",
                "description": "商品分类关系信息。",
                "type": "object",
                "properties": {
                  "sort_value": {
                    "name": "sort_value",
                    "description": "商品排序值。由 `product_priority` 值左补足 0 至 20 位长度构成。",
                    "type": "string",
                    "example": "00000010000000000000"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "商品分类关系最近一次更新的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2021-09-03T14:11:54+00:00"
                  },
                  "collection_id": {
                    "name": "collection_id",
                    "description": "分类的唯一标识 ID。",
                    "type": "string",
                    "example": "12248721639068681442230282"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "商品分类关系创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2021-09-03T14:11:54+00:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "商品分类关系的唯一标识 ID。",
                    "type": "long",
                    "example": 5332942101495347000
                  },
                  "product_id": {
                    "name": "product_id",
                    "description": "商品的唯一标识 ID。",
                    "type": "string",
                    "example": "16053328646530847836660114"
                  },
                  "product_priority": {
                    "name": "product_priority",
                    "description": "商品在分类中的优先级，数值越小，优先级越高。优先级的数值为非连续分布，即不按连续的整数排列。",
                    "type": "long",
                    "example": 10000000000000
                  }
                },
                "example": {
                  "collection_id": "12248721639068681442230282",
                  "created_at": "2021-09-03T14:11:54+00:00",
                  "id": 5332942101495347000,
                  "product_id": "16053328646530847836660114",
                  "product_priority": 10000000000000,
                  "sort_value": "00000010000000000000",
                  "updated_at": "2021-09-03T14:11:54+00:00"
                }
              }
            },
            "example": {
              "collect": {
                "id": 5332942101495347000,
                "product_id": "16053328646530847836660114",
                "product_priority": 10000000000000,
                "sort_value": "00000010000000000000",
                "updated_at": "2021-09-03T14:11:54+00:00",
                "collection_id": "12248721639068681442230282",
                "created_at": "2021-09-03T14:11:54+00:00"
              }
            }
          },
          "examples": {
            "查询单个商品分类关系": {
              "description": "查询单个商品分类关系。",
              "value": {
                "collect": {
                  "sort_value": "00000010000000000000",
                  "updated_at": "2022-07-26T13:15:03+08:00",
                  "collection_id": "12249026592161154694000282",
                  "created_at": "2022-07-26T13:15:03+08:00",
                  "id": 5511053632568035000,
                  "product_id": "16054491142433826754900282",
                  "product_priority": 10000000000000
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/collects/:collect_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询单个商品分类关系",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```